Package org.pushingpixels.substance.internal.utils

# Class SubstanceWidgetSupport

java.lang.Object
org.pushingpixels.lafwidget.LafWidgetSupport
org.pushingpixels.substance.internal.utils.SubstanceWidgetSupport

public class SubstanceWidgetSupport extends org.pushingpixels.lafwidget.LafWidgetSupport
Support for laf-widget layer. This class is for internal use only.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceWidgetSupport()`

## Method Summary

Modifier and Type
Method
Description
`Icon`
`getArrowIcon(int orientation)`
`JComponent`
`getComponentForHover(JInternalFrame.JDesktopIcon desktopIcon)`
`Icon`
`getLockIcon(Component c)`
`int`
`getLookupButtonSize()`
`int`
`getLookupIconSize()`
`Icon`
`getNumberIcon(int number)`
`int`
`getRolloverTabIndex(JTabbedPane tabbedPane)`
`Icon`
`getSearchIcon(int dimension, ComponentOrientation componentOrientation)`
`Insets`
`getTabAreaInsets(JTabbedPane tabbedPane)`
`Rectangle`
`getTabRectangle(JTabbedPane tabbedPane, int tabIndex)`
`boolean`
`hasLockIcon(Component comp)`
`void`
`markButtonAsFlat(AbstractButton button)`
`void`
`paintPasswordStrengthMarker(Graphics g, int x, int y, int width, int height, org.pushingpixels.lafwidget.utils.LafConstants.PasswordStrength pStrength)`
`void`
`setTabAreaInsets(JTabbedPane tabbedPane, Insets tabAreaInsets)`
`boolean`
`toInstallExtraElements(Component comp)`
`boolean`
`toInstallMenuSearch(JMenuBar menuBar)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceWidgetSupport

public SubstanceWidgetSupport()

## Method Details

### getComponentForHover

public JComponent getComponentForHover(JInternalFrame.JDesktopIcon desktopIcon)

Overrides:
  `getComponentForHover` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### toInstallMenuSearch

public boolean toInstallMenuSearch(JMenuBar menuBar)

Overrides:
  `toInstallMenuSearch` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getSearchIcon

public Icon getSearchIcon(int dimension, ComponentOrientation componentOrientation)

Overrides:
  `getSearchIcon` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getArrowIcon

public Icon getArrowIcon(int orientation)

Overrides:
  `getArrowIcon` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getNumberIcon

public Icon getNumberIcon(int number)

Overrides:
  `getNumberIcon` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### markButtonAsFlat

public void markButtonAsFlat(AbstractButton button)

Overrides:
  `markButtonAsFlat` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getRolloverTabIndex

public int getRolloverTabIndex(JTabbedPane tabbedPane)

Overrides:
  `getRolloverTabIndex` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### setTabAreaInsets

public void setTabAreaInsets(JTabbedPane tabbedPane, Insets tabAreaInsets)

Overrides:
  `setTabAreaInsets` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getTabAreaInsets

public Insets getTabAreaInsets(JTabbedPane tabbedPane)

Overrides:
  `getTabAreaInsets` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getTabRectangle

public Rectangle getTabRectangle(JTabbedPane tabbedPane, int tabIndex)

Overrides:
  `getTabRectangle` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### paintPasswordStrengthMarker

public void paintPasswordStrengthMarker(Graphics g, int x, int y, int width, int height, org.pushingpixels.lafwidget.utils.LafConstants.PasswordStrength pStrength)

Overrides:
  `paintPasswordStrengthMarker` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### hasLockIcon

public boolean hasLockIcon(Component comp)

Overrides:
  `hasLockIcon` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getLockIcon

public Icon getLockIcon(Component c)

Overrides:
  `getLockIcon` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### toInstallExtraElements

public boolean toInstallExtraElements(Component comp)

Overrides:
  `toInstallExtraElements` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getLookupIconSize

public int getLookupIconSize()

Overrides:
  `getLookupIconSize` in class `org.pushingpixels.lafwidget.LafWidgetSupport`

### getLookupButtonSize

public int getLookupButtonSize()

Overrides:
  `getLookupButtonSize` in class `org.pushingpixels.lafwidget.LafWidgetSupport`